Summary: 	Utilities for managing the XFS filesystem.
Name: 		xfsprogs
Version: 	2.9.8
Release: 	1
Distribution: 	Linux
BuildRoot: 	/tmp/25988 
Provides: 	xfs-cmds
Obsoletes: 	xfs-cmds
Source: 	%{name}-%{version}.src.tar.gz
License: 	GPL
Vendor: 	Silicon Graphics, Inc.
URL: 		http://oss.sgi.com/projects/xfs/
Group: 		Libraries
BuildRequires:	attr-devel acl-devel

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package 	devel
Summary: 	XFS filesystem-specific static libraries and headers.
Group: 		Development

%description 	devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup -q
/usr/bin/make configure
fi

%build
export tagname=CC DEBUG=-DNDEBUG
/usr/bin/make

%install
rm -rf $RPM_BUILD_ROOT
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
mv $RPM_BUILD_ROOT/usr/share/* $RPM_BUILD_ROOT/usr/
chmod 755 $RPM_BUILD_ROOT/lib/{*.so,../usr/lib/*.la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/*.so.*
/lib/*.so
/lib/*.la
/usr/lib/*.so
/usr/lib/*.la
/sbin
/usr/sbin
/usr/man
/usr/doc

%files devel
%defattr(-,root,root)
/lib/*.a
/usr/lib/*.a
/usr/include
